GET
/api/v1/workspaces/{workspace}/services/{service}/mosaic/granules
Operation ID: listMosaicGranules
Authentication
Use one of the following authentication options. Permissions and workspace scope still apply. See authentication and access control.
-
Authorization: Bearer YOUR_ACCESS_TOKEN -
X-API-Key: YOUR_API_KEY
Parameters
-
workspacepath required -
Workspace ID
string -
servicepath required -
Service ID
string -
bboxquery -
Native-CRS minx,miny,maxx,maxy intersection filter
string -
timequery -
Exact RFC 3339 granule time
string -
elevationquery -
Exact numeric granule elevation
number -
limitquery -
Maximum records to return
integer · int64 -
offsetquery -
Zero-based record offset
integer · int64
Responses
200 Active granule generation
Content type application/json
object
-
granulesarray of MosaicGranule ↗
401 Authentication required or credential rejected
Content type application/json
403 Insufficient permission, disabled login, or invalid CSRF
Content type application/json
413 Request body exceeds the configured limit
Content type application/json
426 HTTPS required
Content type application/json
429 Request rate exceeded
Content type application/json
503 Mosaic catalog disabled
Content type application/json
OpenAPI operation definition
{
"operationId": "listMosaicGranules",
"parameters": [
{
"description": "Workspace ID",
"in": "path",
"name": "workspace",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Service ID",
"in": "path",
"name": "service",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Native-CRS minx,miny,maxx,maxy intersection filter",
"in": "query",
"name": "bbox",
"schema": {
"type": "string"
}
},
{
"description": "Exact RFC 3339 granule time",
"in": "query",
"name": "time",
"schema": {
"type": "string"
}
},
{
"description": "Exact numeric granule elevation",
"in": "query",
"name": "elevation",
"schema": {
"type": "number"
}
},
{
"description": "Maximum records to return",
"in": "query",
"name": "limit",
"schema": {
"format": "int64",
"type": "integer"
}
},
{
"description": "Zero-based record offset",
"in": "query",
"name": "offset",
"schema": {
"format": "int64",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"properties": {
"granules": {
"items": {
"$ref": "#/components/schemas/MosaicGranule"
},
"type": "array"
}
},
"type": "object"
}
}
},
"description": "Active granule generation"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Authentication required or credential rejected"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Insufficient permission, disabled login, or invalid CSRF"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Request body exceeds the configured limit"
},
"426": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "HTTPS required"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Request rate exceeded"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Mosaic catalog disabled"
}
},
"summary": "List active mosaic granules",
"tags": [
"Mosaic Catalog"
]
}